## org.eclipse.datatools.sqltools.sqlbuilder.views
Class TableNavigator.SelectionKeyAdapter

    java.lang.Object
      org.eclipse.swt.events.KeyAdapter
          org.eclipse.datatools.sqltools.sqlbuilder.views.TableNavigator.SelectionKeyAdapter

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.KeyListener, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  TableNavigator

    public class TableNavigator.SelectionKeyAdapter

extends org.eclipse.swt.events.KeyAdapter

Constructor Summary
`TableNavigator.SelectionKeyAdapter(org.eclipse.jface.viewers.StructuredViewer viewer)`

Method Summary
`void` `keyPressed(org.eclipse.swt.events.KeyEvent e)`

Methods inherited from class org.eclipse.swt.events.KeyAdapter
`keyReleased`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableNavigator.SelectionKeyAdapter

    public TableNavigator.SelectionKeyAdapter(org.eclipse.jface.viewers.StructuredViewer viewer)

Method Detail

### keyPressed

    public void keyPressed(org.eclipse.swt.events.KeyEvent e)

  Specified by:
    `keyPressed` in interface `org.eclipse.swt.events.KeyListener`
  Overrides:
    `keyPressed` in class `org.eclipse.swt.events.KeyAdapter`